/****************************************************************
 *		SrcBm4.c					*
 *								*
 *	(decrucher for conff3-crunched routines)		*
 * (oh, by the way, conff3 is my self-developed 		*
 *  ILBM->C converter. Which is not public domain because	*
 *  I think the code isn't clear & good enough.)		*
 *								*
 *******contains:						*
 *  void LoadPic(void);						*
 *		this function handles the decrunching of the	*
 *		data in 'picda' to a bitmap * named 'Bm'	*
 *								*
 *								*
 *When using DICE: use the objectfile in the Archive, or have 	*
 * about 2 Mb RAM ready when you want to compile it...		*
 *--------------------------------------------------------------*
 * 09-Aug-90	KvGend	wrote this file to reduce compile-times	*
 * 12-Aug-90    KvGend	LoadPic rewritten			*
 * 30-Nov-90    KvGend  now for general purposes		*
 * 27-Aug-91	KvGend	this version is for ChemniMaTe, and con-*
 *			tains the picture of the atoms.		*
 ****************************************************************/

#include <exec/types.h>
#include <intuition/intuition.h>

typedef UBYTE *PLANEPTR;
struct BitMap
{
  UWORD BytesPerRow;
  UWORD Rows;
  UBYTE Flags;
  UBYTE Depth;
  UWORD pad;
  PLANEPTR Planes[8];
};

#define DEPTH 3

extern struct BitMap *Bm;

/*** the following is generated by conff3. */

/* name: sk4.brush
 * Width: 320, Height: 92, Depth: 3
 */

char picda[] =
{
/***************************first bitplane*******************/
  -85, 0,
  18, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -22, 0,
  18, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -21, 0,
  19, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -21, 0,
  27, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 0, 15, -32, 0, 0, 15, -32,
  -13, 0,
  27, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 0, 63, -8, 0, 0, 63, -8,
  -13, 0,
  27, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 0, 127, -4, 0, 0, 127, -4,
  -13, 0,
  27, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 0, -1, -2, 0, 0, -1, -2,
  -10, 0,
  30, 15, -64, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 1, -1, -1, 0, 1, -1, -1,
  -10, 0,
  31, 28, -32, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 3, -1, -1, -128, 3, -1, -1, -128,
  -9, 0,
  31, 56, 112, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 3, -5, -65, -128, 3, -1, -1, -128,
  -9, 0,
  31, 56, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -5, -65, -64, 7, -1, -1, -64,
  -9, 0,
  31, 112, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -5, -65, -64, 7, -1, -1, -64,
  -9, 0,
  31, 112, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -8, 63, -64, 7, -1, -1, -64,
  -9, 0,
  31, 112, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -8, 63, -64, 7, -1, -1, -64,
  -9, 0,
  31, 112, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -5, -65, -64, 7, -1, -1, -64,
  -9, 0,
  31, 112, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -5, -65, -64, 7, -1, -1, -64,
  -9, 0,
  31, 56, 0, 0, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 63, -1, -1, -8, 7, -5, -65, -64, 7, -1, -1, -64,
  -9, 0,
  31, 56, 112, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 3, -1, -1, -128, 3, -1, -1, -128,
  -9, 0,
  31, 28, -32, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 3, -1, -1, -128, 3, -1, -1, -128,
  -9, 0,
  30, 15, -64, 0, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 31, -1, -1, -16, 1, -1, -1, 0, 1, -1, -1,
  -13, 0,
  27, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 0, -1, -2, 0, 0, -1, -2,
  -13, 0,
  27, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32, 0, 127, -4, 0, 0, 127, -4,
  -13, 0,
  27, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64, 0, 63, -8, 0, 0, 63, -8,
  -13, 0,
  27, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 0, 15, -32, 0, 0, 15, -32,
  -13, 0,
  19, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -22, 0,
  18, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -22, 0,
  18, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -127, 0,
  -19, 0,
  6, 15, -32, 0, 0, 15, -32,
  -14, 0,
  2, 15, -32,
  -18, 0,
  6, 112, 28, 0, 0, 127, -4,
  -14, 0,
  2, 127, -4,
  -14, 0,
  10, 15, -32, 0, 1, -128, 3, 0, 1, -1, -1,
  -13, 0,
  3, 1, -1, -1,
  -14, 0,
  11, 127, -4, 0, 2, 0, 0, -128, 3, -1, -1, -128,
  -12, 0,
  4, 3, -1, -1, -128,
  -12, 0,
  12, 1, -1, -1, 0, 4, 0, 0, 64, 7, -1, -1, -64,
  -12, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 3, -1, -1, -128, 8, 0, 0, 32, 15, -1, -1, -32,
  -12, 0,
  4, 15, -1, -1, -32,
  -12, 0,
  12, 7, -1, -1, -64, 16, 0, 0, 16, 31, -1, -1, -16,
  -12, 0,
  4, 31, -1, -1, -16,
  -12, 0,
  12, 15, -1, -1, -32, 32, 0, 0, 8, 63, -1, -1, -8,
  -12, 0,
  4, 63, -1, -1, -8,
  -12, 0,
  12, 15, -1, -1, -32, 32, 0, 0, 8, 63, -1, -1, -8,
  -12, 0,
  4, 63, -1, -1, -8,
  -9, 0,
  15, 7, -64, 0, 31, -1, -1, -16, 64, 127, -16, 4, 127, -1, -1, -4,
  -12, 0,
  4, 127, -1, -1, -4,
  -9, 0,
  15, 28, -32, 0, 31, -1, -1, -16, 64, 112, 120, 4, 127, -1, -1, -4,
  -9, 0,
  7, 14, 48, 0, 127, -1, -1, -4,
  -9, 0,
  15, 56, 112, 0, 31, -1, -1, -16, 64, 112, 60, 4, 127, -1, -1, -4,
  -9, 0,
  7, 31, 48, 0, 127, -1, -1, -4,
  -9, 0,
  11, 56, 112, 0, 63, -1, -1, -8, -128, 112, 28, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 49, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 112, 56, 0, 63, -1, -1, -8, -128, 112, 60, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 48, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 112, 56, 0, 63, -1, -1, -8, -128, 112, 120, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 48, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 112, 56, 0, 63, -1, -1, -8, -128, 127, -16, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 48, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 112, 56, 0, 63, -1, -1, -8, -128, 119, -128, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 48, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 112, 56, 0, 63, -1, -1, -8, -128, 115, -64, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 48, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  11, 56, 112, 0, 63, -1, -1, -8, -128, 113, -32, 2,
  -3, -1,
  1, -2,
  -9, 0,
  3, 49, 48, 0,
  -3, -1,
  1, -2,
  -9, 0,
  15, 56, 112, 0, 31, -1, -1, -16, 64, 112, -16, 4, 127, -1, -1, -4,
  -9, 0,
  7, 31, 48, 0, 127, -1, -1, -4,
  -9, 0,
  15, 28, -32, 0, 31, -1, -1, -16, 64, 112, 120, 4, 127, -1, -1, -4,
  -9, 0,
  7, 14, 28, 0, 127, -1, -1, -4,
  -9, 0,
  15, 15, -64, 0, 31, -1, -1, -16, 64, 112, 56, 4, 127, -1, -1, -4,
  -12, 0,
  4, 127, -1, -1, -4,
  -12, 0,
  12, 15, -1, -1, -32, 32, 0, 0, 8, 63, -1, -1, -8,
  -12, 0,
  4, 63, -1, -1, -8,
  -12, 0,
  12, 15, -1, -1, -32, 32, 0, 0, 8, 63, -1, -1, -8,
  -12, 0,
  4, 63, -1, -1, -8,
  -12, 0,
  12, 7, -1, -1, -64, 16, 0, 0, 16, 31, -1, -1, -16,
  -12, 0,
  4, 31, -1, -1, -16,
  -12, 0,
  12, 3, -1, -1, -128, 8, 0, 0, 32, 15, -1, -1, -32,
  -12, 0,
  4, 15, -1, -1, -32,
  -12, 0,
  12, 1, -1, -1, 0, 4, 0, 0, 64, 7, -1, -1, -64,
  -12, 0,
  4, 7, -1, -1, -64,
  -13, 0,
  11, 127, -4, 0, 2, 0, 0, -128, 3, -1, -1, -128,
  -12, 0,
  4, 3, -1, -1, -128,
  -13, 0,
  10, 15, -32, 0, 1, -128, 3, 0, 1, -1, -1,
  -13, 0,
  3, 1, -1, -1,
  -18, 0,
  6, 112, 28, 0, 0, 127, -4,
  -14, 0,
  2, 127, -4,
  -18, 0,
  6, 15, -32, 0, 0, 15, -32,
  -14, 0,
  2, 15, -32,
  -127, 0,
  -127, 0,
  -16, 0,
  2, 15, -32,
  -6, 0,
  2, 15, -32,
  -10, 0,
  14, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -6, 0,
  2, 63, -8,
  -6, 0,
  2, 63, -8,
  -10, 0,
  14, 48, 24, 0, 0, 48, 24, 0, 0, 48, 24, 0, 0, 48, 24,
  -6, 0,
  2, 127, -4,
  -6, 0,
  2, 127, -4,
  -10, 0,
  14, 64, 4, 0, 0, 64, 4, 0, 0, 64, 4, 0, 0, 64, 4,
  -6, 0,
  2, -1, -2,
  -6, 0,
  2, -1, -2,
  -10, 0,
  14, -128, 2, 0, 0, -128, 2, 0, 0, -128, 2, 0, 0, -128, 2,
  -5, 0,
  3, 1, -1, -1,
  -5, 0,
  3, 1, -1, -1,
  -9, 0,
  15, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1,
  -5, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  15, 1, 3, -127, 0, 1, 3, -127, 0, 1, 0, 1, 0, 1, 0, 1,
  -5, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  16, 2, 3, -128, -128, 2, 3, -128, -128, 2, 0, 0, -128, 2, 0, 0, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 3, -128, -128, 2, 3, -128, -128, 2, 0, 0, -128, 2, 0, 0, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128, 2, 31, -16, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 3, -128, -128, 2, 3, -128, -128, 2, 0, 0, -128, 2, 0, 0, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  16, 2, 3, -128, -128, 2, 3, -128, -128, 2, 0, 0, -128, 2, 0, 0, -128,
  -4, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  15, 1, 3, -127, 0, 1, 3, -127, 0, 1, 0, 1, 0, 1, 0, 1,
  -5, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  15, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1, 0, 1,
  -5, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -9, 0,
  14, -128, 2, 0, 0, -128, 2, 0, 0, -128, 2, 0, 0, -128, 2,
  -5, 0,
  3, 1, -1, -1,
  -5, 0,
  3, 1, -1, -1,
  -10, 0,
  14, 64, 4, 0, 0, 64, 4, 0, 0, 64, 4, 0, 0, 64, 4,
  -6, 0,
  2, -1, -2,
  -6, 0,
  2, -1, -2,
  -10, 0,
  14, 48, 24, 0, 0, 48, 24, 0, 0, 48, 24, 0, 0, 48, 24,
  -6, 0,
  2, 127, -4,
  -6, 0,
  2, 127, -4,
  -10, 0,
  14, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -6, 0,
  2, 63, -8,
  -6, 0,
  2, 63, -8,
  -30, 0,
  2, 15, -32,
  -6, 0,
  2, 15, -32,
  -90, 0,
  -128,
/*******************************second bitplane****************/

  -81, 0,
  6, 15, -32, 0, 0, 15, -32,
  -6, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -18, 0,
  6, 127, -4, 0, 0, 127, -4,
  -6, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -17, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -17, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -5, 0,
  2, 15, -32,
  -9, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  12, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -5, 0,
  2, 63, -8,
  -9, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -5, 0,
  2, 127, -4,
  -9, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -5, 0,
  2, -1, -2,
  -9, 0,
  8, 31, -16, 63, -16, 31, -1, -1, -16,
  -4, 0,
  12, 31, -1, -1, -16, 31, -113, -57, -16, 31, -1, -1, -16,
  -4, 0,
  3, 1, -1, -1,
  -9, 0,
  8, 31, -29, 31, -16, 31, -1, -1, -16,
  -4, 0,
  12, 31, -1, -1, -16, 31, -113, -57, -16, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 31, -57, -113, -16, 31, -1, -1, -16,
  -4, 0,
  20, 31, -1, -1, -16, 31, -121, -57, -16, 31, -1, -1, -16, 0, 4, 64, 0, 3, -1, -1, -128,
  -8, 0,
  8, 63, -57, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -125, -57, -8, 63, -1, -1, -8, 0, 4, 64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -113, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -127, -57, -8, 63, -1, -1, -8, 0, 4, 64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -113, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -128, -57, -8, 63, -1, -1, -8, 0, 7, -64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -113, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -120, 71, -8, 63, -1, -1, -8, 0, 7, -64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -113, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -116, 7, -8, 63, -1, -1, -8, 0, 4, 64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -113, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -114, 7, -8, 63, -1, -1, -8, 0, 4, 64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 63, -57, -1, -8, 63, -1, -1, -8,
  -4, 0,
  20, 63, -1, -1, -8, 63, -113, 7, -8, 63, -1, -1, -8, 0, 4, 64, 0, 7, -1, -1, -64,
  -8, 0,
  8, 31, -57, -113, -16, 31, -1, -1, -16,
  -4, 0,
  12, 31, -1, -1, -16, 31, -113, -121, -16, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 31, -29, 31, -16, 31, -1, -1, -16,
  -4, 0,
  12, 31, -1, -1, -16, 31, -113, -57, -16, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 31, -16, 63, -16, 31, -1, -1, -16,
  -4, 0,
  12, 31, -1, -1, -16, 31, -113, -57, -16, 31, -1, -1, -16,
  -4, 0,
  3, 1, -1, -1,
  -9, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -5, 0,
  2, -1, -2,
  -9, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -5, 0,
  2, 127, -4,
  -9, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  12, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -5, 0,
  2, 63, -8,
  -9, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -5, 0,
  2, 15, -32,
  -9, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -18, 0,
  6, 127, -4, 0, 0, 127, -4,
  -6, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -18, 0,
  6, 15, -32, 0, 0, 15, -32,
  -6, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -127, 0,
  -23, 0,
  2, 15, -32,
  -10, 0,
  6, 15, -32, 0, 0, 15, -32,
  -22, 0,
  2, 127, -4,
  -10, 0,
  6, 127, -4, 0, 0, 127, -4,
  -14, 0,
  2, 15, -32,
  -5, 0,
  3, 1, -1, -1,
  -9, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -14, 0,
  2, 127, -4,
  -5, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  3, 1, -1, -1,
  -5, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 15, -1, -1, -32,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -12, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 31, -1, -1, -16,
  -8, 0,
  8, 31, -1, -1, -16, 31, -1, -1, -16,
  -12, 0,
  4, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -12, 0,
  4, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -1, -1, -4, 127, -1, -1, -4,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -15, -49, -4, 127, -1, -1, -4,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -32, -49, -4, 127, -1, -1, -4,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -50, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -50, -49, -2,
  -3, -1,
  1, -2,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -32, -49, -4, 127, -1, -1, -4,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -15, -29, -4, 127, -1, -1, -4,
  -12, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -1, -1, -4, 127, -1, -1, -4,
  -12, 0,
  4, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -12, 0,
  4, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -12, 0,
  4, 7, -1, -1, -64,
  -4, 0,
  4, 31, -1, -1, -16,
  -8, 0,
  8, 31, -1, -1, -16, 31, -1, -1, -16,
  -12, 0,
  4, 3, -1, -1, -128,
  -4, 0,
  4, 15, -1, -1, -32,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -12, 0,
  3, 1, -1, -1,
  -5, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -13, 0,
  2, 127, -4,
  -5, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -13, 0,
  2, 15, -32,
  -5, 0,
  3, 1, -1, -1,
  -9, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -22, 0,
  2, 127, -4,
  -10, 0,
  6, 127, -4, 0, 0, 127, -4,
  -22, 0,
  2, 15, -32,
  -10, 0,
  6, 15, -32, 0, 0, 15, -32,
  -127, 0,
  -127, 0,
  -16, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -14, 0,
  2, 15, -32,
  -6, 0,
  2, 15, -32,
  -6, 0,
  10, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8,
  -14, 0,
  2, 48, 24,
  -6, 0,
  2, 48, 24,
  -6, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -14, 0,
  2, 64, 4,
  -6, 0,
  2, 64, 4,
  -6, 0,
  10, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2,
  -14, 0,
  2, -128, 2,
  -6, 0,
  2, -128, 2,
  -5, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -13, 0,
  3, 1, 0, 1,
  -5, 0,
  3, 1, 0, 1,
  -5, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  3, 1, 3, -127,
  -5, 0,
  20, 1, 0, 1, 0, 0, 4, 64, 0, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 0, 4, 64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 0, 4, 64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 0, 7, -64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 0, 7, -64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 0, 4, 64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 0, 4, 64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 0, 4, 64, 0, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -12, 0,
  3, 1, 3, -127,
  -5, 0,
  3, 1, 0, 1,
  -5, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  3, 1, 0, 1,
  -5, 0,
  3, 1, 0, 1,
  -5, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -13, 0,
  2, -128, 2,
  -6, 0,
  2, -128, 2,
  -5, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -14, 0,
  2, 64, 4,
  -6, 0,
  2, 64, 4,
  -6, 0,
  10, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2,
  -14, 0,
  2, 48, 24,
  -6, 0,
  2, 48, 24,
  -6, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -14, 0,
  2, 15, -32,
  -6, 0,
  2, 15, -32,
  -6, 0,
  10, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8,
  -30, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -90, 0,
  -128,
/************************third bitplane*****************/
  -85, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -6, 0,
  2, 15, -32,
  -22, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -6, 0,
  2, 127, -4,
  -21, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  3, 1, -1, -1,
  -21, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -5, 0,
  2, 15, -32,
  -13, 0,
  12, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -5, 0,
  2, 63, -8,
  -13, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 15, -1, -1, -32,
  -5, 0,
  2, 127, -4,
  -13, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 15, -1, -1, -32,
  -5, 0,
  2, -1, -2,
  -13, 0,
  12, 31, -1, -1, -16, 31, -8, 31, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  3, 1, -1, -1,
  -13, 0,
  12, 31, -1, -1, -16, 31, -16, -113, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -12, 0,
  12, 31, -1, -1, -16, 31, -31, -49, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -12, 0,
  12, 63, -1, -1, -8, 63, -29, -1, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -31, -1, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -16, -1, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -8, 31, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -1, 15, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -1, -121, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 63, -1, -1, -8, 63, -1, -57, -8, 63, -1, -1, -8,
  -4, 0,
  4, 63, -1, -1, -8,
  -4, 0,
  4, 7, -1, -1, -64,
  -12, 0,
  12, 31, -1, -1, -16, 31, -25, -121, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -12, 0,
  12, 31, -1, -1, -16, 31, -29, 15, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  4, 3, -1, -1, -128,
  -12, 0,
  12, 31, -1, -1, -16, 31, -16, 31, -16, 31, -1, -1, -16,
  -4, 0,
  4, 31, -1, -1, -16,
  -4, 0,
  3, 1, -1, -1,
  -13, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 15, -1, -1, -32,
  -5, 0,
  2, -1, -2,
  -13, 0,
  12, 15, -1, -1, -32, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 15, -1, -1, -32,
  -5, 0,
  2, 127, -4,
  -13, 0,
  12, 7, -1, -1, -64, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  4, 7, -1, -1, -64,
  -5, 0,
  2, 63, -8,
  -13, 0,
  12, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  4, 3, -1, -1, -128,
  -5, 0,
  2, 15, -32,
  -13, 0,
  11, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  3, 1, -1, -1,
  -22, 0,
  10, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -6, 0,
  2, 127, -4,
  -22, 0,
  10, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -6, 0,
  2, 15, -32,
  -127, 0,
  -23, 0,
  2, 15, -32,
  -10, 0,
  6, 15, -32, 0, 0, 15, -32,
  -22, 0,
  2, 127, -4,
  -10, 0,
  6, 127, -4, 0, 0, 127, -4,
  -10, 0,
  6, 15, -32, 0, 0, 15, -32,
  -5, 0,
  3, 1, -1, -1,
  -9, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -10, 0,
  6, 127, -4, 0, 0, 127, -4,
  -5, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -8, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  4, 15, -1, -1, -32,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  4, 31, -1, -1, -16,
  -8, 0,
  8, 31, -1, -1, -16, 31, -1, -1, -16,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -8, 0,
  8, 31, -8, 63, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -1, -1, -4, 127, -1, -1, -4,
  -8, 0,
  8, 31, -29, 31, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -15, -49, -4, 127, -1, -1, -4,
  -8, 0,
  8, 31, -57, -113, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -32, -49, -4, 127, -1, -1, -4,
  -8, 0,
  8, 63, -57, -113, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -50, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -113, -57, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -113, -57, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -113, -57, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -113, -57, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -113, -57, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -49, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 63, -57, -113, -8, 63, -1, -1, -8,
  -4, 0,
  -3, -1,
  1, -2,
  -8, 0,
  4, -1, -50, -49, -2,
  -3, -1,
  1, -2,
  -8, 0,
  8, 31, -57, -113, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -32, -49, -4, 127, -1, -1, -4,
  -8, 0,
  8, 31, -29, 31, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -15, -29, -4, 127, -1, -1, -4,
  -8, 0,
  8, 31, -16, 63, -16, 31, -1, -1, -16,
  -4, 0,
  4, 127, -1, -1, -4,
  -8, 0,
  8, 127, -1, -1, -4, 127, -1, -1, -4,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -4, 0,
  4, 63, -1, -1, -8,
  -8, 0,
  8, 63, -1, -1, -8, 63, -1, -1, -8,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -4, 0,
  4, 31, -1, -1, -16,
  -8, 0,
  8, 31, -1, -1, -16, 31, -1, -1, -16,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -4, 0,
  4, 15, -1, -1, -32,
  -8, 0,
  8, 15, -1, -1, -32, 15, -1, -1, -32,
  -8, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -5, 0,
  4, 7, -1, -1, -64,
  -8, 0,
  8, 7, -1, -1, -64, 7, -1, -1, -64,
  -9, 0,
  6, 127, -4, 0, 0, 127, -4,
  -5, 0,
  4, 3, -1, -1, -128,
  -8, 0,
  8, 3, -1, -1, -128, 3, -1, -1, -128,
  -9, 0,
  6, 15, -32, 0, 0, 15, -32,
  -5, 0,
  3, 1, -1, -1,
  -9, 0,
  7, 1, -1, -1, 0, 1, -1, -1,
  -22, 0,
  2, 127, -4,
  -10, 0,
  6, 127, -4, 0, 0, 127, -4,
  -22, 0,
  2, 15, -32,
  -10, 0,
  6, 15, -32, 0, 0, 15, -32,
  -127, 0,
  -127, 0,
  -12, 0,
  14, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -14, 0,
  2, 15, -32,
  -6, 0,
  18, 15, -32, 0, 0, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8,
  -14, 0,
  2, 48, 24,
  -6, 0,
  18, 48, 24, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -14, 0,
  2, 64, 4,
  -6, 0,
  18, 64, 4, 0, 0, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2,
  -14, 0,
  2, -128, 2,
  -6, 0,
  18, -128, 2, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -13, 0,
  3, 1, 0, 1,
  -5, 0,
  20, 1, 0, 1, 0, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  3, 1, 3, -127,
  -5, 0,
  20, 1, 0, 1, 0, 3, -5, -65, -128, 3, -1, -1, -128, 3, -5, -65, -128, 3, -1, -1, -128,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 7, -5, -65, -64, 7, -1, -1, -64, 7, -5, -65, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 7, -5, -65, -64, 7, -1, -1, -64, 7, -5, -65, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 7, -8, 63, -64, 7, -1, -1, -64, 7, -8, 63, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 7, -8, 63, -64, 7, -1, -1, -64, 7, -8, 63, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 31, -16, -128,
  -4, 0,
  20, 2, 31, -16, -128, 7, -5, -65, -64, 7, -1, -1, -64, 7, -5, -65, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 7, -5, -65, -64, 7, -1, -1, -64, 7, -5, -65, -64, 7, -1, -1, -64,
  -12, 0,
  4, 2, 3, -128, -128,
  -4, 0,
  20, 2, 0, 0, -128, 7, -5, -65, -64, 7, -1, -1, -64, 7, -5, -65, -64, 7, -1, -1, -64,
  -12, 0,
  3, 1, 3, -127,
  -5, 0,
  20, 1, 0, 1, 0, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -12, 0,
  3, 1, 0, 1,
  -5, 0,
  20, 1, 0, 1, 0, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128, 3, -1, -1, -128,
  -13, 0,
  2, -128, 2,
  -6, 0,
  18, -128, 2, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1, 0, 1, -1, -1,
  -14, 0,
  2, 64, 4,
  -6, 0,
  18, 64, 4, 0, 0, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2, 0, 0, -1, -2,
  -14, 0,
  2, 48, 24,
  -6, 0,
  18, 48, 24, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4, 0, 0, 127, -4,
  -14, 0,
  2, 15, -32,
  -6, 0,
  18, 15, -32, 0, 0, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8, 0, 0, 63, -8,
  -26, 0,
  14, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32, 0, 0, 15, -32,
  -90, 0,
  -128};

/* --end of file -- */

/*** that was conff3, let's take it over again */

/**********************LoadPic ()********************/
void
LoadPic (void)
{
  LONG teller, tel2;
  char *point, *to;

  point = picda;

  for (tel2 = 0; tel2 < DEPTH; tel2++)
    {
      to = Bm->Planes[tel2];
      for (;;)
	{
	  if (*point == -128)
	    break;

	  if (*point < 0)
	    {
	      for (teller = 0; teller < -(*point); teller++)
		*(to++) = *(point + 1);
	      point += 2;
	    }

	  if (*point == -128)
	    break;

	  if (*point > 0)
	    {
	      for (teller = 1; teller <= *point; teller++)
		*(to++) = *(point + teller);
	      point += teller;
	    }

	}			/* end of for(;;) */
      point++;
      /*continue with next plane*/

    }				/* end of for(;tel2;...) */
}				/* end of LoadPic(void) */
